nxt

## Class Order.Bid

- java.lang.Object
- - nxt.Order
  - - nxt.Order.Bid

- Enclosing class:
    Order

      public static final class Order.Bid
      extends Order

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class nxt.Order

      `Order.Ask, Order.Bid`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static DbIterator<Order.Bid>` | `getAll(int from, int to)`
    `static Order.Bid` | `getBidOrder(long orderId)`
    `static DbIterator<Order.Bid>` | `getBidOrdersByAccount(long accountId, int from, int to)`
    `static DbIterator<Order.Bid>` | `getBidOrdersByAccountAsset(long accountId, long assetId, int from, int to)`
    `static DbIterator<Order.Bid>` | `getBidOrdersByAsset(long assetId, int from, int to)`
    `static int` | `getCount()`
    `static DbIterator<Order.Bid>` | `getSortedOrders(long assetId, int from, int to)`

    - ### Methods inherited from class nxt.Order

      `getAccountId, getAssetId, getHeight, getId, getPriceNQT, getQuantityQNT, getTransactionHeight, getTransactionIndex, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### getCount

          public static int getCount()

    - #### getBidOrder

          public static Order.Bid getBidOrder(long orderId)

    - #### getAll

          public static DbIterator<Order.Bid> getAll(int from,
                                                     int to)

    - #### getBidOrdersByAccount

          public static DbIterator<Order.Bid> getBidOrdersByAccount(long accountId,
                                                                    int from,
                                                                    int to)

    - #### getBidOrdersByAsset

          public static DbIterator<Order.Bid> getBidOrdersByAsset(long assetId,
                                                                  int from,
                                                                  int to)

    - #### getBidOrdersByAccountAsset

          public static DbIterator<Order.Bid> getBidOrdersByAccountAsset(long accountId,
                                                                         long assetId,
                                                                         int from,
                                                                         int to)

    - #### getSortedOrders

          public static DbIterator<Order.Bid> getSortedOrders(long assetId,
                                                              int from,
                                                              int to)